VPS侦探论坛

 找回密码
 注册
查看: 257|回复: 4

ubuntu-22.04安装lnmp1.9错误

[复制链接]
发表于 2022-6-8 13:32:21 | 显示全部楼层 |阅读模式

本帖最后由 weicoz 于 2022-6-8 13:33 编辑

Distributor ID: Ubuntu
Description:    Ubuntu 22.04 LTS
Release:        22.04
Codename:       jammy

全部安装失败,用的是 ./install.sh lamp 命令安装

https://t.wss.ink/f/8iczvl74yq5



补充内容 (2022-6-8 13:48):
备用地址:https://files.catbox.moe/t1bhcj.7z
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-9 16:48:05 | 显示全部楼层


Cannot find appropriate system libraries for WITH_SSL=system.
Make sure you have specified a supported SSL version.
Valid options are :
system (use the OS openssl library),
yes (synonym for system),
</path/to/custom/openssl/installation>

CMake Error at cmake/ssl.cmake:66 (MESSAGE):
  Please install the appropriate openssl developer package.

Call Stack (most recent call first):
  cmake/ssl.cmake:260 (FATAL_SSL_NOT_FOUND_ERROR)
  CMakeLists.txt:483 (MYSQL_CHECK_SSL)
。。。。。。
/bin/bash /root/lnmp1.9/src/php-7.2.34/libtool --silent --preserve-dup-deps --mode=compile /root/lnmp1.9/src/php-7.2.34/meta_ccld  -Wno-write-strings -D__STDC_LIMIT_MACROS -DZEND_ENABLE_STATIC_TSRMLS_CACHE=1 -Iext/intl/ -I/root/lnmp1.9/src/php-7.2.34/ext/intl/ -DPHP_ATOM_INC -I/root/lnmp1.9/src/php-7.2.34/include -I/root/lnmp1.9/src/php-7.2.34/main -I/root/lnmp1.9/src/php-7.2.34 -I/root/lnmp1.9/src/php-7.2.34/ext/date/lib -I/usr/include/libxml2 -I/usr/include/x86_64-linux-gnu -I/usr/include/libpng16 -I/usr/local/freetype/include/freetype2 -I/root/lnmp1.9/src/php-7.2.34/ext/mbstring/oniguruma -I/root/lnmp1.9/src/php-7.2.34/ext/mbstring/libmbfl -I/root/lnmp1.9/src/php-7.2.34/ext/mbstring/libmbfl/mbfl -I/root/lnmp1.9/src/php-7.2.34/ext/sqlite3/libsqlite -I/root/lnmp1.9/src/php-7.2.34/ext/zip/lib -I/root/lnmp1.9/src/php-7.2.34/TSRM -I/root/lnmp1.9/src/php-7.2.34/Zend  -D_REENTRANT  -I/usr/local/include -g -O2 -fvisibility=hidden -pthread -DZTS -DZEND_SIGNALS   -c /root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c -o ext/intl/collator/collator_sort.lo
/root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c: In function ‘zif_collator_sort’:
/root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c:349:33: error: ‘TRUE’ undeclared (first use in this function)
  349 |         collator_sort_internal( TRUE, INTERNAL_FUNCTION_PARAM_PASSTHRU );
      |                                 ^~~~
/root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c:349:33: note: each undeclared identifier is reported only once for each function it appears in
/root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c: In function ‘zif_collator_asort’:
/root/lnmp1.9/src/php-7.2.34/ext/intl/collator/collator_sort.c:543:33: error: ‘FALSE’ undeclared (first use in this function)
  543 |         collator_sort_internal( FALSE, INTERNAL_FUNCTION_PARAM_PASSTHRU );
      |                                 ^~~~~
make: *** [Makefile:993: ext/intl/collator/collator_sort.lo] Error 1

如果要用Ubuntu 22.04就不要安装PHP 7.4以下版本、MySQL就不要低于8.0
也就是说了很多遍的新不装旧,就不装新
非要想用就一个办法php、mysql改一遍支持openssl 3.0,icu支持68.1+等等
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-6-9 16:57:13 | 显示全部楼层

谢谢大佬,我还是重装回 20.04 把
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-6-14 18:39:19 | 显示全部楼层



licess 发表于 2022-6-9 16:48
如果要用Ubuntu 22.04就不要安装PHP 7.4以下版本、MySQL就不要低于8.0
也就是说了很多遍的新不装旧,就不 ...

军哥:
      我想借楼问一下,你这里说的意思我明白,越新的系统要求越高,我 VPS 2G 内存,50G 硬盘,这是符合安装页面所说的要求的,但是我用 UBUNTU 22.04 安装 LNMP 1.9 最后总是失败在数据库上,无论是 mariadb 还是 mysql,几个安装选项我都是选择的最新版本,麻烦问下为什么会失败?
      在lnmp.org 的“安装”页上,我看了红字描述,说“MySQL 8.0.24以上版本升级或安装必须Debian 11+,Ubuntu 20.04+,Fedora 33+且必须使用1.8!!!”,我想确认一下,ubuntu 22.04 安装只不是只能使用 lnmp 1.8 而不能使用 1.9?还是说“MySQL 8.0.24以上版本升级或安装必须Debian 11+,Ubuntu 20.04+,Fedora 33+且必须使用1.8!!!”这句话中 1.8后面少了个“+”?
谢谢。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-6-14 20:17:44 | 显示全部楼层

yiyaosong 发表于 2022-6-14 18:39
军哥:
      我想借楼问一下,你这里说的意思我明白,越新的系统要求越高,我 VPS 2G 内存,50G 硬盘, ...

1.8+

具体为什么安装失败需要按反馈必读要求上传完整日志

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-7-6 18:42 , Processed in 0.017585 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表